SitePoint Sponsor

User Tag List

Results 1 to 5 of 5
  1. #1
    SitePoint Enthusiast
    Join Date
    Feb 2010
    Posts
    99
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Problem installing rubygems

    Hi

    I'm trying to install rubygems, and the rails.
    I have installed ruby already.
    How do you do this? I can't find any help installing these?
    I have downloaded the package and the instruction is:

    (extract, then run "ruby setup.rb")

    This file isn't executable, I tried in CMD with ruby, or should I use windows Run command?

    Why is that always so that installing is the most difficult part, I have had more experiences. For example Java, there is no indication what do I have to download and they change the names, so the installing guides in the books won't match, then MySQL etc.

  2. #2
    Programming Team silver trophybronze trophy
    Mittineague's Avatar
    Join Date
    Jul 2005
    Location
    West Springfield, Massachusetts
    Posts
    16,457
    Mentioned
    160 Post(s)
    Tagged
    1 Thread(s)
    I hear what you're saying loud and clear. Installations almost always give me a hard time.

    It's been a while so I've forgotten all the steps I took to get things copacetic, but I think I started with the Wiki http://wiki.rubyonrails.org/getting-...d/installation and then Googled for the errors as they popped up until things finally worked.

  3. #3
    SitePoint Enthusiast
    Join Date
    Feb 2010
    Posts
    99
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I did get the things to work now, when I got one thing working, new questions arised, but I got it working.

    Why can't it just be like installing a game ?

  4. #4
    SitePoint Member
    Join Date
    Oct 2010
    Posts
    2
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    I'm getting a HTTP Response 302 when trying to install/update.

    I'm a newbie, so please keep that in mind when trying to help.

    Satjot:~ satjotsawhney$ ruby -v
    ruby 1.8.6 (2009-06-08 patchlevel 369) [universal-darwin9.0]
    Satjot:~ satjotsawhney$ rails -v
    Rails 1.2.6
    Satjot:~ satjotsawhney$ gem -v
    1.0.1
    Satjot:~ satjotsawhney$ sudo gem install rails
    ERROR: While executing gem ... (Gem::RemoteSourceException)
    HTTP Response 302 fetching http://gems.rubyforge.org/yaml

  5. #5
    SitePoint Member
    Join Date
    Jun 2010
    Location
    San Jose California
    Posts
    21
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    If yo have already installed ruby, why don't you install a IDE like radrails ?
    you can automatically install all the required gems through radrails itself.


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •